<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="RewriterConfig" type="URLRewriter.Config.RewriterConfigSerializerSectionHandler, XpShop_S1X" />
  </configSections>
  <appSettings>
    <add key="ShopFolder" value="" />
    <add key="VirtualDir" value="" />
    <add key="DbType" value="SqlServer" />
    <add key="MDBpath" value="db/XpShopData.mdb" />
    <add key="WritePath" value="" />
    <add key="CachePath" value="Upload/localfiles/" />
    <add key="BBS" value="0" />
    <!--1整合，0不整合 -->
    <add key="DbName" value="xpshop72demo10" />
    <add key="SQLConnString" value="SERVER=(local);UID=simplex;PWD=simplex;DATABASE=xpshop72demo10;" />
  </appSettings>
  <system.web>
    <httpModules>
      <!--<add type="URLRewriter.ModuleRewriter, XpShop_S1X" name="ModuleRewriter" />-->
      <!--add type="Discuz.Forum.HttpModule, Discuz.Forum" name="HttpModule" /-->
    </httpModules>
    <compilation defaultLanguage="c#" debug="true" />
    <!--<customErrors mode="RemoteOnly" defaultRedirect="ErrorPage.aspx">-->
    <customErrors mode="Off" defaultRedirect="ErrorPage.aspx">
		<error statusCode="500" redirect="ErrorPage.aspx"/>
		<error statusCode="404" redirect="ErrorPage.aspx"/>
		<error statusCode="403" redirect="ErrorPage.aspx"/>
		<error statusCode="400" redirect="ErrorPage.aspx"/>
	</customErrors>
    <!--RemoteOnly-->
    <authentication mode="Forms">
      <forms name="XpShopMemberAuth" loginUrl="AdminLogin.aspx" protection="All" path="/" />
    </authentication>
    <authorization>
      <allow users="*" />
    </authorization>
    <trace enabled="false" requestLimit="10" pageOutput="false" traceMode="SortByTime" localOnly="true" />
    <sessionState mode="InProc" stateConnectionString="tcpip=127.0.0.1:42424" sqlConnectionString="data source=127.0.0.1;Trusted_Connection=yes" cookieless="false" timeout="20" />
    <globalization requestEncoding="utf-8" responseEncoding="utf-8" fileEncoding="utf-8" />
    <!-- set maxRequestLength-->
    <httpRuntime maxRequestLength="104096" executionTimeout="3600" />
  </system.web>
  <location path="CheckoutSucc.aspx">
    <system.web>
      <globalization requestEncoding="gb2312" responseEncoding="gb2312" />
    </system.web>
  </location>
  <location path="OrderPrint.aspx">
    <system.web>
      <globalization requestEncoding="gb2312" responseEncoding="gb2312" />
    </system.web>
  </location>
</configuration>